DtWsmGetCurrentBackdropWindow(library call)

NAME
DtWsmGetCurrentBackdropWindow — get the backdrop window for the current workspace

SYNOPSIS

#include &<Dt/Wsm.h>
Window DtWsmGetCurrentBackdropWindow(
Display *display,
Window root);

DESCRIPTION

The DtWsmGetCurrentBackdropWindow function works with the XCDE workspace manager, dtwm(1), and returns the window used as the backdrop for the current workspace.

The display argument is the X display.

The root argument is the root window of the screen of interest.

RETURN VALUE

Upon successful completion, the DtWsmGetCurrentBackdropWindow returns the window used as the backdrop for the current workspace. The function returns None if there is no backdrop window for the workspace or if the XCDE workspace manager is not running.

APPLICATION USAGE

If the DtWsmGetCurrentBackdropWindow function is not successful, failure may be due to a memory allocation error or failure to find the correct workspace information (that is, the XCDE workspace manager, dtwm(1), is not running).

SEE ALSO

Dt/Wsm.h - DtWsm(5), dtwm(1), DtWsmGetCurrentWorkspace(3), DtWsmGetWorkspaceInfo(3).